---
# Cop supports --autocorrect.
Lint/UnusedMethodArgument:
  Exclude:
    - 'app/controllers/application_controller.rb'
    - 'app/controllers/concerns/authenticates_with_two_factor.rb'
    - 'app/controllers/concerns/creates_commit.rb'
    - 'app/controllers/concerns/renders_notes.rb'
    - 'app/controllers/concerns/send_file_upload.rb'
    - 'app/controllers/concerns/spammable_actions/captcha_check/common.rb'
    - 'app/controllers/concerns/wiki_actions.rb'
    - 'app/controllers/confirmations_controller.rb'
    - 'app/controllers/import/bitbucket_controller.rb'
    - 'app/controllers/ldap/omniauth_callbacks_controller.rb'
    - 'app/controllers/projects/forks_controller.rb'
    - 'app/finders/issuable_finder/params.rb'
    - 'app/graphql/mutations/base_mutation.rb'
    - 'app/graphql/mutations/ci/runner/delete.rb'
    - 'app/graphql/mutations/concerns/mutations/assignable.rb'
    - 'app/graphql/mutations/notes/create/base.rb'
    - 'app/graphql/mutations/notes/create/diff_note.rb'
    - 'app/graphql/mutations/notes/create/image_diff_note.rb'
    - 'app/graphql/mutations/timelogs/create.rb'
    - 'app/graphql/resolvers/base_resolver.rb'
    - 'app/graphql/resolvers/board_list_issues_resolver.rb'
    - 'app/graphql/resolvers/branch_commit_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_groups_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_platforms_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_setup_resolver.rb'
    - 'app/graphql/resolvers/ci/test_report_summary_resolver.rb'
    - 'app/graphql/resolvers/clusters/agent_activity_events_resolver.rb'
    - 'app/graphql/resolvers/concerns/caching_array_resolver.rb'
    - 'app/graphql/resolvers/error_tracking/sentry_error_collection_resolver.rb'
    - 'app/graphql/resolvers/last_commit_resolver.rb'
    - 'app/graphql/resolvers/merge_request_resolver.rb'
    - 'app/graphql/resolvers/metadata_resolver.rb'
    - 'app/graphql/resolvers/project_resolver.rb'
    - 'app/graphql/resolvers/projects/branch_rules_resolver.rb'
    - 'app/graphql/resolvers/projects/grafana_integration_resolver.rb'
    - 'app/graphql/resolvers/release_milestones_resolver.rb'
    - 'app/graphql/resolvers/users/group_count_resolver.rb'
    - 'app/graphql/resolvers/users/participants_resolver.rb'
    - 'app/graphql/resolvers/users_resolver.rb'
    - 'app/graphql/resolvers/work_items/work_item_discussions_resolver.rb'
    - 'app/graphql/subscriptions/issuable_updated.rb'
    - 'app/graphql/subscriptions/notes/base.rb'
    - 'app/graphql/subscriptions/notes/created.rb'
    - 'app/graphql/subscriptions/notes/deleted.rb'
    - 'app/graphql/types/alert_management/integration_type.rb'
    - 'app/graphql/types/base_field.rb'
    - 'app/graphql/types/ci/job_need_union.rb'
    - 'app/graphql/types/color_type.rb'
    - 'app/graphql/types/commit_signature_interface.rb'
    - 'app/graphql/types/date_type.rb'
    - 'app/graphql/types/design_management/design_type.rb'
    - 'app/graphql/types/duration_type.rb'
    - 'app/graphql/types/invitation_interface.rb'
    - 'app/graphql/types/issuable_type.rb'
    - 'app/graphql/types/member_interface.rb'
    - 'app/graphql/types/merge_requests/interacts_with_merge_request.rb'
    - 'app/graphql/types/noteable_type.rb'
    - 'app/graphql/types/notes/noteable_interface.rb'
    - 'app/graphql/types/packages/dependency_link_metadata_type.rb'
    - 'app/graphql/types/packages/file_metadata_type.rb'
    - 'app/graphql/types/packages/metadata_type.rb'
    - 'app/graphql/types/projects/service_type.rb'
    - 'app/graphql/types/projects/service_type_enum.rb'
    - 'app/graphql/types/time_type.rb'
    - 'app/graphql/types/todoable_interface.rb'
    - 'app/graphql/types/user_interface.rb'
    - 'app/graphql/types/work_item_id_type.rb'
    - 'app/graphql/types/work_items/widget_interface.rb'
    - 'app/helpers/admin/identities_helper.rb'
    - 'app/helpers/diff_helper.rb'
    - 'app/helpers/environment_helper.rb'
    - 'app/helpers/groups/group_members_helper.rb'
    - 'app/helpers/groups_helper.rb'
    - 'app/helpers/invite_members_helper.rb'
    - 'app/helpers/issuables_helper.rb'
    - 'app/helpers/issues_helper.rb'
    - 'app/helpers/labels_helper.rb'
    - 'app/helpers/markup_helper.rb'
    - 'app/helpers/nav/new_dropdown_helper.rb'
    - 'app/helpers/projects_helper.rb'
    - 'app/helpers/releases_helper.rb'
    - 'app/helpers/routing/groups/members_helper.rb'
    - 'app/helpers/routing/projects/members_helper.rb'
    - 'app/helpers/routing/projects_helper.rb'
    - 'app/helpers/routing/snippets_helper.rb'
    - 'app/helpers/search_helper.rb'
    - 'app/helpers/timeboxes_helper.rb'
    - 'app/helpers/users_helper.rb'
    - 'app/mailers/emails/merge_requests.rb'
    - 'app/mailers/emails/releases.rb'
    - 'app/models/ability.rb'
    - 'app/models/blob_viewer/auxiliary.rb'
    - 'app/models/ci/bridge.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_trace_chunk.rb'
    - 'app/models/ci/build_trace_chunks/database.rb'
    - 'app/models/ci/processable.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/concerns/bulk_insert_safe.rb'
    - 'app/models/concerns/cache_markdown_field.rb'
    - 'app/models/concerns/cross_database_modification.rb'
    - 'app/models/concerns/issuable.rb'
    - 'app/models/concerns/mentionable.rb'
    - 'app/models/concerns/note_on_diff.rb'
    - 'app/models/concerns/protected_ref.rb'
    - 'app/models/concerns/reactive_caching.rb'
    - 'app/models/concerns/referable.rb'
    - 'app/models/concerns/spammable.rb'
    - 'app/models/concerns/subscribable.rb'
    - 'app/models/concerns/timebox.rb'
    - 'app/models/design_management/version.rb'
    - 'app/models/discussion.rb'
    - 'app/models/external_issue.rb'
    - 'app/models/group.rb'
    - 'app/models/integrations/buildkite.rb'
    - 'app/models/integrations/discord.rb'
    - 'app/models/integrations/ewm.rb'
    - 'app/models/integrations/hangouts_chat.rb'
    - 'app/models/integrations/microsoft_teams.rb'
    - 'app/models/integrations/mock_ci.rb'
    - 'app/models/integrations/mock_monitoring.rb'
    - 'app/models/integrations/prometheus.rb'
    - 'app/models/integrations/pumble.rb'
    - 'app/models/integrations/teamcity.rb'
    - 'app/models/integrations/unify_circuit.rb'
    - 'app/models/integrations/webex_teams.rb'
    - 'app/models/internal_id.rb'
    - 'app/models/issue.rb'
    - 'app/models/label.rb'
    - 'app/models/label_note.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/milestone_note.rb'
    - 'app/models/notification_setting.rb'
    - 'app/models/project.rb'
    - 'app/models/project_wiki.rb'
    - 'app/models/protected_branch.rb'
    - 'app/models/snippet.rb'
    - 'app/models/state_note.rb'
    - 'app/models/storage/hashed.rb'
    - 'app/models/uploads/base.rb'
    - 'app/models/user.rb'
    - 'app/models/wiki.rb'
    - 'app/policies/group_policy.rb'
    - 'app/presenters/clusterable_presenter.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/serializers/feature_flags_client_serializer.rb'
    - 'app/serializers/group_child_serializer.rb'
    - 'app/serializers/group_link/group_group_link_entity.rb'
    - 'app/serializers/group_link/project_group_link_entity.rb'
    - 'app/services/applications/create_service.rb'
    - 'app/services/auth/dependency_proxy_authentication_service.rb'
    - 'app/services/auto_merge/base_service.rb'
    - 'app/services/award_emojis/add_service.rb'
    - 'app/services/boards/base_item_move_service.rb'
    - 'app/services/boards/lists/base_create_service.rb'
    - 'app/services/boards/lists/list_service.rb'
    - 'app/services/boards/lists/update_service.rb'
    - 'app/services/ci/copy_cross_database_associations_service.rb'
    - 'app/services/ci/job_artifacts/destroy_batch_service.rb'
    - 'app/services/ci/pipelines/add_job_service.rb'
    - 'app/services/ci/queue/pending_builds_strategy.rb'
    - 'app/services/ci/register_job_service.rb'
    - 'app/services/ci/update_build_state_service.rb'
    - 'app/services/concerns/exclusive_lease_guard.rb'
    - 'app/services/deploy_keys/create_service.rb'
    - 'app/services/design_management/copy_design_collection/copy_service.rb'
    - 'app/services/groups/transfer_service.rb'
    - 'app/services/groups/update_service.rb'
    - 'app/services/import/gitlab_projects/file_acquisition_strategies/file_upload.rb'
    - 'app/services/import/gitlab_projects/file_acquisition_strategies/remote_file.rb'
    - 'app/services/import/gitlab_projects/file_acquisition_strategies/remote_file_s3.rb'
    - 'app/services/issuable/destroy_service.rb'
    - 'app/services/issues/export_csv_service.rb'
    - 'app/services/issues/move_service.rb'
    - 'app/services/jira/requests/base.rb'
    - 'app/services/keys/destroy_service.rb'
    - 'app/services/merge_requests/close_service.rb'
    - 'app/services/merge_requests/merge_base_service.rb'
    - 'app/services/notification_service.rb'
    - 'app/services/packages/nuget/metadata_extraction_service.rb'
    - 'app/services/projects/base_move_relations_service.rb'
    - 'app/services/projects/hashed_storage/base_attachment_service.rb'
    - 'app/services/projects/lfs_pointers/lfs_download_service.rb'
    - 'app/services/projects/open_issues_count_service.rb'
    - 'app/services/protected_refs/access_level_params.rb'
    - 'app/services/repositories/base_service.rb'
    - 'app/services/system_notes/incidents_service.rb'
    - 'app/services/web_hooks/admin_destroy_service.rb'
    - 'app/services/work_items/update_service.rb'
    - 'app/uploaders/file_uploader.rb'
    - 'app/uploaders/gitlab_uploader.rb'
    - 'app/uploaders/records_uploads.rb'
    - 'app/validators/cron_freeze_period_timezone_validator.rb'
    - 'app/validators/cron_timezone_validator.rb'
    - 'app/validators/cron_validator.rb'
    - 'app/validators/gitlab/zoom_url_validator.rb'
    - 'app/validators/iso8601_date_validator.rb'
    - 'app/workers/ci/delete_objects_worker.rb'
    - 'app/workers/concerns/worker_attributes.rb'
    - 'app/workers/concerns/worker_context.rb'
    - 'app/workers/database/batched_background_migration/execution_worker.rb'
    - 'app/workers/detect_repository_languages_worker.rb'
    - 'app/workers/environments/auto_stop_worker.rb'
    - 'app/workers/gitlab/jira_import/import_issue_worker.rb'
    - 'app/workers/issues/rebalancing_worker.rb'
    - 'app/workers/personal_access_tokens/expired_notification_worker.rb'
    - 'app/workers/personal_access_tokens/expiring_worker.rb'
    - 'app/workers/process_commit_worker.rb'
    - 'app/workers/projects/inactive_projects_deletion_cron_worker.rb'
    - 'app/workers/projects/refresh_build_artifacts_size_statistics_worker.rb'
    - 'config/initializers/00_active_record_disable_joins.rb'
    - 'config/initializers/active_record_preloader.rb'
    - 'config/initializers/active_record_table_definition.rb'
    - 'config/initializers/forbid_sidekiq_in_transactions.rb'
    - 'config/object_store_settings.rb'
    - 'ee/app/controllers/ee/projects/protected_branches_controller.rb'
    - 'ee/app/controllers/groups/omniauth_callbacks_controller.rb'
    - 'ee/app/controllers/groups/roadmap_controller.rb'
    - 'ee/app/graphql/mutations/dast/profiles/run.rb'
    - 'ee/app/graphql/mutations/dast/profiles/update.rb'
    - 'ee/app/graphql/mutations/dast_scanner_profiles/delete.rb'
    - 'ee/app/graphql/mutations/dast_scanner_profiles/update.rb'
    - 'ee/app/graphql/mutations/dast_site_profiles/delete.rb'
    - 'ee/app/graphql/mutations/dast_site_profiles/update.rb'
    - 'ee/app/graphql/mutations/incident_management/escalation_policy/create.rb'
    - 'ee/app/graphql/mutations/instance_security_dashboard/remove_project.rb'
    - 'ee/app/graphql/mutations/iterations/create.rb'
    - 'ee/app/graphql/mutations/security/finding/revert_to_detected.rb'
    - 'ee/app/graphql/resolvers/boards/board_list_epics_resolver.rb'
    - 'ee/app/graphql/resolvers/ci/code_coverage_summary_resolver.rb'
    - 'ee/app/graphql/resolvers/epics/default_project_for_issue_creation_resolver.rb'
    - 'ee/app/graphql/resolvers/epics_resolver.rb'
    - 'ee/app/graphql/resolvers/incident_management/oncall_shifts_resolver.rb'
    - 'ee/app/graphql/resolvers/instance_security_dashboard_resolver.rb'
    - 'ee/app/graphql/resolvers/path_locks_resolver.rb'
    - 'ee/app/graphql/resolvers/timebox_report_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities/container_images_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities/scanners_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities_base_resolver.rb'
    - 'ee/app/graphql/types/security_orchestration/security_policy_source_type.rb'
    - 'ee/app/graphql/types/vulnerability_detail_type.rb'
    - 'ee/app/graphql/types/vulnerability_location_type.rb'
    - 'ee/app/helpers/ee/groups_helper.rb'
    - 'ee/app/helpers/ee/lock_helper.rb'
    - 'ee/app/helpers/trial_status_widget_helper.rb'
    - 'ee/app/models/boards/epic_board.rb'
    - 'ee/app/models/burndown.rb'
    - 'ee/app/models/concerns/elastic/application_versioned_search.rb'
    - 'ee/app/models/concerns/geo/blob_replicator_strategy.rb'
    - 'ee/app/models/concerns/geo/repository_replicator_strategy.rb'
    - 'ee/app/models/concerns/geo/verifiable_replicator.rb'
    - 'ee/app/models/concerns/geo/verification_state.rb'
    - 'ee/app/models/ee/member.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/group_wiki.rb'
    - 'ee/app/models/iteration.rb'
    - 'ee/app/models/iteration_note.rb'
    - 'ee/app/replicators/geo/container_repository_replicator.rb'
    - 'ee/app/serializers/analytics/cycle_analytics/value_stream_errors_serializer.rb'
    - 'ee/app/services/app_sec/dast/scans/run_service.rb'
    - 'ee/app/services/audit_events/runners_token_audit_event_service.rb'
    - 'ee/app/services/boards/epic_lists/update_service.rb'
    - 'ee/app/services/concerns/incident_management/oncall_rotations/shared_rotation_logic.rb'
    - 'ee/app/services/ee/merge_requests/merge_base_service.rb'
    - 'ee/app/services/epics/related_epic_links/create_service.rb'
    - 'ee/app/services/epics/transfer_service.rb'
    - 'ee/app/services/group_saml/identity/destroy_service.rb'
    - 'ee/app/services/projects/update_mirror_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/process_scan_result_policy_service.rb'
    - 'ee/app/validators/vulnerabilities/cvss_vector_validator.rb'
    - 'ee/app/workers/gitlab_subscriptions/refresh_seats_worker.rb'
    - 'ee/db/fixtures/development/20_burndown.rb'
    - 'ee/lib/audit/compliance_framework_changes_auditor.rb'
    - 'ee/lib/compliance_management/compliance_report/commit_loader.rb'
    - 'ee/lib/ee/api/ci/helpers/runner.rb'
    - 'ee/lib/ee/api/entities/project.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/sync/proxy.rb'
    - 'ee/lib/ee/gitlab/geo_git_access.rb'
    - 'ee/lib/elastic/as_json.rb'
    - 'ee/lib/elastic/latest/issue_instance_proxy.rb'
    - 'ee/lib/elastic/latest/merge_request_instance_proxy.rb'
    - 'ee/lib/elastic/latest/milestone_instance_proxy.rb'
    - 'ee/lib/elastic/latest/note_class_proxy.rb'
    - 'ee/lib/elastic/latest/note_instance_proxy.rb'
    - 'ee/lib/elastic/latest/project_instance_proxy.rb'
    - 'ee/lib/elastic/latest/repository_instance_proxy.rb'
    - 'ee/lib/elastic/latest/snippet_class_proxy.rb'
    - 'ee/lib/elastic/latest/snippet_instance_proxy.rb'
    - 'ee/lib/elastic/latest/user_instance_proxy.rb'
    - 'ee/lib/gitlab/audit/events/preloader.rb'
    - 'ee/lib/gitlab/elastic/elasticsearch_enabled_cache.rb'
    - 'ee/lib/gitlab/elastic/indexer.rb'
    - 'ee/lib/gitlab/elastic/snippet_search_results.rb'
    - 'ee/lib/gitlab/geo.rb'
    - 'ee/lib/gitlab/geo/log_cursor/events/base_event.rb'
    - 'ee/lib/gitlab/geo/replicator.rb'
    - 'ee/lib/gitlab/license_scanning/base_scanner.rb'
    - 'ee/lib/gitlab/package_metadata/connector/gcp.rb'
    - 'ee/lib/gitlab/package_metadata/connector/offline.rb'
    - 'ee/lib/gitlab/zoekt/search_results.rb'
    - 'ee/spec/features/boards/swimlanes/epics_swimlanes_filtering_spec.rb'
    - 'ee/spec/features/groups/group_roadmap_spec.rb'
    - 'ee/spec/graphql/ee/resolvers/namespace_projects_resolver_spec.rb'
    - 'ee/spec/helpers/ee/integrations_helper_spec.rb'
    - 'ee/spec/lib/ee/api/helpers/members_helpers_spec.rb'
    - 'ee/spec/lib/ee/api/helpers/notes_helpers_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/migrate_vulnerabilities_feedback_to_vulnerabilities_state_transition_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/data_collector_spec.rb'
    - 'ee/spec/services/ee/resource_events/merge_into_notes_service_spec.rb'
    - 'ee/spec/support/helpers/ee/geo_helpers.rb'
    - 'ee/spec/support/helpers/ee/migrations_helpers.rb'
    - 'lib/api/entities/basic_project_details.rb'
    - 'lib/api/entities/entity_helpers.rb'
    - 'lib/api/entities/project.rb'
    - 'lib/api/groups.rb'
    - 'lib/api/helpers.rb'
    - 'lib/api/helpers/notes_helpers.rb'
    - 'lib/api/merge_requests.rb'
    - 'lib/api/projects_relation_builder.rb'
    - 'lib/api/search.rb'
    - 'lib/atlassian/jira_connect/client.rb'
    - 'lib/banzai/filter/playable_link_filter.rb'
    - 'lib/banzai/filter/references/abstract_reference_filter.rb'
    - 'lib/banzai/filter/references/commit_range_reference_filter.rb'
    - 'lib/banzai/filter/references/design_reference_filter.rb'
    - 'lib/banzai/filter/references/external_issue_reference_filter.rb'
    - 'lib/banzai/filter/references/feature_flag_reference_filter.rb'
    - 'lib/banzai/filter/references/label_reference_filter.rb'
    - 'lib/banzai/filter/references/milestone_reference_filter.rb'
    - 'lib/banzai/filter/references/project_reference_filter.rb'
    - 'lib/banzai/filter/references/reference_cache.rb'
    - 'lib/banzai/filter/references/user_reference_filter.rb'
    - 'lib/banzai/reference_parser/alert_parser.rb'
    - 'lib/banzai/reference_parser/base_parser.rb'
    - 'lib/banzai/reference_parser/commit_parser.rb'
    - 'lib/banzai/reference_parser/commit_range_parser.rb'
    - 'lib/banzai/reference_parser/external_issue_parser.rb'
    - 'lib/banzai/reference_parser/feature_flag_parser.rb'
    - 'lib/banzai/reference_parser/issuable_parser.rb'
    - 'lib/banzai/reference_parser/label_parser.rb'
    - 'lib/banzai/reference_parser/mentioned_user_parser.rb'
    - 'lib/banzai/reference_parser/milestone_parser.rb'
    - 'lib/banzai/reference_parser/project_parser.rb'
    - 'lib/banzai/reference_parser/user_parser.rb'
    - 'lib/bitbucket_server/client.rb'
    - 'lib/bulk_imports/clients/graphql.rb'
    - 'lib/bulk_imports/projects/pipelines/snippets_repository_pipeline.rb'
    - 'lib/declarative_enum.rb'
    - 'lib/gitlab/analytics/cycle_analytics/stage_events/stage_event.rb'
    - 'lib/gitlab/api_authentication/token_resolver.rb'
    - 'lib/gitlab/app_text_logger.rb'
    - 'lib/gitlab/asciidoc/syntax_highlighter/html_pipeline_adapter.rb'
    - 'lib/gitlab/auth/database/authentication.rb'
    - 'lib/gitlab/auth/ldap/access.rb'
    - 'lib/gitlab/auth/ldap/adapter.rb'
    - 'lib/gitlab/background_migration/backfill_project_settings.rb'
    - 'lib/gitlab/background_migration/batching_strategies/backfill_project_namespace_per_group_batching_strategy.rb'
    - 'lib/gitlab/background_migration/batching_strategies/loose_index_scan_batching_strategy.rb'
    - 'lib/gitlab/background_migration/cleanup_orphaned_routes.rb'
    - 'lib/gitlab/background_migration/job_coordinator.rb'
    - 'lib/gitlab/background_migration/project_namespaces/backfill_project_namespaces.rb'
    - 'lib/gitlab/cache/helpers.rb'
    - 'lib/gitlab/cache/metrics.rb'
    - 'lib/gitlab/ci/ansi2html.rb'
    - 'lib/gitlab/ci/build/artifacts/adapters/gzip_stream.rb'
    - 'lib/gitlab/ci/build/artifacts/metadata.rb'
    - 'lib/gitlab/ci/build/policy/changes.rb'
    - 'lib/gitlab/ci/build/policy/kubernetes.rb'
    - 'lib/gitlab/ci/build/policy/refs.rb'
    - 'lib/gitlab/ci/build/policy/variables.rb'
    - 'lib/gitlab/ci/config/entry/hidden.rb'
    - 'lib/gitlab/ci/config/entry/inherit/default.rb'
    - 'lib/gitlab/ci/parsers/test/junit.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexeme/null.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexeme/pattern.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexeme/string.rb'
    - 'lib/gitlab/ci/status/bridge/play.rb'
    - 'lib/gitlab/ci/status/build/action.rb'
    - 'lib/gitlab/ci/status/build/cancelable.rb'
    - 'lib/gitlab/ci/status/build/canceled.rb'
    - 'lib/gitlab/ci/status/build/created.rb'
    - 'lib/gitlab/ci/status/build/erased.rb'
    - 'lib/gitlab/ci/status/build/failed.rb'
    - 'lib/gitlab/ci/status/build/failed_allowed.rb'
    - 'lib/gitlab/ci/status/build/manual.rb'
    - 'lib/gitlab/ci/status/build/pending.rb'
    - 'lib/gitlab/ci/status/build/play.rb'
    - 'lib/gitlab/ci/status/build/retried.rb'
    - 'lib/gitlab/ci/status/build/retryable.rb'
    - 'lib/gitlab/ci/status/build/scheduled.rb'
    - 'lib/gitlab/ci/status/build/skipped.rb'
    - 'lib/gitlab/ci/status/build/stop.rb'
    - 'lib/gitlab/ci/status/build/unschedule.rb'
    - 'lib/gitlab/ci/status/build/waiting_for_approval.rb'
    - 'lib/gitlab/ci/status/pipeline/blocked.rb'
    - 'lib/gitlab/ci/status/pipeline/delayed.rb'
    - 'lib/gitlab/ci/status/stage/play_manual.rb'
    - 'lib/gitlab/ci/status/success_warning.rb'
    - 'lib/gitlab/ci/trace.rb'
    - 'lib/gitlab/cleanup/orphan_job_artifact_files.rb'
    - 'lib/gitlab/cleanup/orphan_job_artifact_files_batch.rb'
    - 'lib/gitlab/cleanup/project_upload_file_finder.rb'
    - 'lib/gitlab/config/entry/composable_hash.rb'
    - 'lib/gitlab/config/entry/node.rb'
    - 'lib/gitlab/config/entry/validators.rb'
    - 'lib/gitlab/conflict/file_collection.rb'
    - 'lib/gitlab/data_builder/note.rb'
    - 'lib/gitlab/database.rb'
    - 'lib/gitlab/database/async_indexes/migration_helpers.rb'
    - 'lib/gitlab/database/batch_count.rb'
    - 'lib/gitlab/database/date_time.rb'
    - 'lib/gitlab/database/each_database.rb'
    - 'lib/gitlab/database/load_balancing/connection_proxy.rb'
    - 'lib/gitlab/database/load_balancing/primary_host.rb'
    - 'lib/gitlab/database/load_balancing/session.rb'
    - 'lib/gitlab/database/lock_writes_manager.rb'
    - 'lib/gitlab/database/migrations/instrumentation.rb'
    - 'lib/gitlab/database/migrations/lock_retries_helpers.rb'
    - 'lib/gitlab/database/migrations/reestablished_connection_stack.rb'
    - 'lib/gitlab/database/migrations/runner.rb'
    - 'lib/gitlab/database/partitioning_migration_helpers/table_management_helpers.rb'
    - 'lib/gitlab/database/query_analyzers/base.rb'
    - 'lib/gitlab/database/query_analyzers/prevent_cross_database_modification.rb'
    - 'lib/gitlab/database/rename_table_helpers.rb'
    - 'lib/gitlab/dependency_linker/base_linker.rb'
    - 'lib/gitlab/diff/file_collection/merge_request_diff_base.rb'
    - 'lib/gitlab/diff/line.rb'
    - 'lib/gitlab/encoding_helper.rb'
    - 'lib/gitlab/fogbugz_import/importer.rb'
    - 'lib/gitlab/git/commit_stats.rb'
    - 'lib/gitlab/git/conflict/parser.rb'
    - 'lib/gitlab/git/cross_repo.rb'
    - 'lib/gitlab/git/ref.rb'
    - 'lib/gitlab/gitaly_client.rb'
    - 'lib/gitlab/gitaly_client/commit_service.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/github_gists_import/representation/gist.rb'
    - 'lib/gitlab/github_import/representation/diff_note.rb'
    - 'lib/gitlab/github_import/representation/issue_event.rb'
    - 'lib/gitlab/github_import/representation/lfs_object.rb'
    - 'lib/gitlab/github_import/representation/note.rb'
    - 'lib/gitlab/github_import/representation/pull_request.rb'
    - 'lib/gitlab/github_import/representation/pull_request_review.rb'
    - 'lib/gitlab/github_import/representation/user.rb'
    - 'lib/gitlab/graphql/authorize/connection_filter_extension.rb'
    - 'lib/gitlab/graphql/board/issues_connection_extension.rb'
    - 'lib/gitlab/graphql/calls_gitaly/field_extension.rb'
    - 'lib/gitlab/graphql/connection_redaction.rb'
    - 'lib/gitlab/graphql/extensions/externally_paginated_array_extension.rb'
    - 'lib/gitlab/graphql/lazy.rb'
    - 'lib/gitlab/graphql/project/dast_profile_connection_extension.rb'
    - 'lib/gitlab/graphql/query_analyzers/ast/logger_analyzer.rb'
    - 'lib/gitlab/hook_data/subgroup_builder.rb'
    - 'lib/gitlab/import_export/after_export_strategies/base_after_export_strategy.rb'
    - 'lib/gitlab/import_export/fast_hash_serializer.rb'
    - 'lib/gitlab/issuable_sorter.rb'
    - 'lib/gitlab/json.rb'
    - 'lib/gitlab/lfs/client.rb'
    - 'lib/gitlab/markdown_cache/redis/extension.rb'
    - 'lib/gitlab/memory/diagnostic_reports_logger.rb'
    - 'lib/gitlab/metrics/null_metric.rb'
    - 'lib/gitlab/metrics/subscribers/action_cable.rb'
    - 'lib/gitlab/metrics/subscribers/rails_cache.rb'
    - 'lib/gitlab/optimistic_locking.rb'
    - 'lib/gitlab/otp_key_rotator.rb'
    - 'lib/gitlab/project_search_results.rb'
    - 'lib/gitlab/quick_actions/issue_and_merge_request_actions.rb'
    - 'lib/gitlab/redis/multi_store.rb'
    - 'lib/gitlab/repository_cache.rb'
    - 'lib/gitlab/repository_cache_adapter.rb'
    - 'lib/gitlab/repository_hash_cache.rb'
    - 'lib/gitlab/repository_set_cache.rb'
    - 'lib/gitlab/safe_request_loader.rb'
    - 'lib/gitlab/sanitizers/exif.rb'
    - 'lib/gitlab/setup_helper.rb'
    - 'lib/gitlab/sidekiq_logging/json_formatter.rb'
    - 'lib/gitlab/sidekiq_logging/structured_logger.rb'
    - 'lib/gitlab/sidekiq_middleware/arguments_logger.rb'
    - 'lib/gitlab/sidekiq_middleware/batch_loader.rb'
    - 'lib/gitlab/sidekiq_middleware/duplicate_jobs/client.rb'
    - 'lib/gitlab/sidekiq_middleware/duplicate_jobs/duplicate_job.rb'
    - 'lib/gitlab/sidekiq_middleware/duplicate_jobs/server.rb'
    - 'lib/gitlab/sidekiq_middleware/extra_done_log_metadata.rb'
    - 'lib/gitlab/sidekiq_middleware/instrumentation_logger.rb'
    - 'lib/gitlab/sidekiq_middleware/query_analyzer.rb'
    - 'lib/gitlab/sidekiq_middleware/request_store_middleware.rb'
    - 'lib/gitlab/sidekiq_middleware/size_limiter/client.rb'
    - 'lib/gitlab/sidekiq_middleware/size_limiter/server.rb'
    - 'lib/gitlab/sidekiq_status/server_middleware.rb'
    - 'lib/gitlab/sidekiq_versioning/middleware.rb'
    - 'lib/gitlab/slash_commands/incident_management/incident_command.rb'
    - 'lib/gitlab/slash_commands/presenters/issue_new.rb'
    - 'lib/gitlab/snippet_search_results.rb'
    - 'lib/gitlab/string_placeholder_replacer.rb'
    - 'lib/gitlab/template/dockerfile_template.rb'
    - 'lib/gitlab/template/gitignore_template.rb'
    - 'lib/gitlab/template/gitlab_ci_yml_template.rb'
    - 'lib/gitlab/template/issue_template.rb'
    - 'lib/gitlab/template/merge_request_template.rb'
    - 'lib/gitlab/template_parser/ast.rb'
    - 'lib/gitlab/testing/request_blocker_middleware.rb'
    - 'lib/gitlab/testing/robots_blocker_middleware.rb'
    - 'lib/gitlab/tracking.rb'
    - 'lib/gitlab/untrusted_regexp/ruby_syntax.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/gitlab/usage_data_non_sql_metrics.rb'
    - 'lib/gitlab/usage_data_queries.rb'
    - 'lib/gitlab/user_access_snippet.rb'
    - 'lib/gitlab/utils/safe_inline_hash.rb'
    - 'lib/gitlab/utils/usage_data.rb'
    - 'lib/gitlab/verify/batch_verifier.rb'
    - 'lib/gitlab/view/presenter/base.rb'
    - 'lib/gitlab/web_ide/config.rb'
    - 'lib/gitlab/work_items/work_item_hierarchy.rb'
    - 'lib/kramdown/parser/atlassian_document_format.rb'
    - 'lib/tasks/gems.rake'
    - 'lib/tasks/gettext.rake'
    - 'lib/tasks/gitlab/graphql.rake'
    - 'metrics_server/metrics_server.rb'
    - 'qa/qa/page/project/settings/ci_variables.rb'
    - 'qa/qa/page/project/settings/monitor.rb'
    - 'qa/qa/resource/base.rb'
    - 'qa/qa/resource/design.rb'
    - 'qa/qa/scenario/template.rb'
    - 'qa/qa/service/kubernetes_cluster.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/protected_tags_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/push_over_http_file_size_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/push_protected_branch_spec.rb'
    - 'qa/qa/support/wait_for_requests.rb'
    - 'qa/spec/resource/base_spec.rb'
    - 'rubocop/cop/gitlab/finder_with_find_by.rb'
    - 'rubocop/cop/migration/safer_boolean_column.rb'
    - 'scripts/rubocop-parse'
    - 'scripts/static-analysis'
    - 'spec/components/pajamas/concerns/checkbox_radio_label_with_help_text_spec.rb'
    - 'spec/components/pajamas/concerns/checkbox_radio_options_spec.rb'
    - 'spec/controllers/concerns/issuable_actions_spec.rb'
    - 'spec/controllers/groups/registry/repositories_controller_spec.rb'
    - 'spec/controllers/projects/error_tracking/projects_controller_spec.rb'
    - 'spec/features/profiles/user_edit_profile_spec.rb'
    - 'spec/features/projects/commits/user_browses_commits_spec.rb'
    - 'spec/graphql/resolvers/base_resolver_spec.rb'
    - 'spec/graphql/resolvers/concerns/looks_ahead_spec.rb'
    - 'spec/graphql/types/base_field_spec.rb'
    - 'spec/graphql/types/base_object_spec.rb'
    - 'spec/helpers/markup_helper_spec.rb'
    - 'spec/initializers/rack_multipart_patch_spec.rb'
    - 'spec/lib/banzai/object_renderer_spec.rb'
    - 'spec/lib/banzai/reference_parser/base_parser_spec.rb'
    - 'spec/lib/gitlab/auth_spec.rb'
    - 'spec/lib/gitlab/background_migration/batched_migration_job_spec.rb'
    - 'spec/lib/gitlab/background_migration/set_correct_vulnerability_state_spec.rb'
    - 'spec/lib/gitlab/background_migration/truncate_overlong_vulnerability_html_titles_spec.rb'
    - 'spec/lib/gitlab/cache/request_cache_spec.rb'
    - 'spec/lib/gitlab/middleware/same_site_cookies_spec.rb'
    - 'spec/lib/gitlab/otp_key_rotator_spec.rb'
    - 'spec/lib/gitlab/path_regex_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/duplicate_jobs/server_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/worker_context/server_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware_spec.rb'
    - 'spec/models/concerns/from_set_operator_spec.rb'
    - 'spec/models/concerns/redis_cacheable_spec.rb'
    - 'spec/policies/resource_state_event_policy_spec.rb'
    - 'spec/requests/api/graphql/boards/board_list_issues_query_spec.rb'
    - 'spec/requests/api/graphql/gitlab_schema_spec.rb'
    - 'spec/requests/api/graphql/project/milestones_spec.rb'
    - 'spec/requests/api/helpers_spec.rb'
    - 'spec/requests/api/personal_access_tokens_spec.rb'
    - 'spec/requests/import/gitlab_projects_controller_spec.rb'
    - 'spec/services/concerns/rate_limited_service_spec.rb'
    - 'spec/services/git/wiki_push_service_spec.rb'
    - 'spec/services/import/gitlab_projects/file_acquisition_strategies/remote_file_spec.rb'
    - 'spec/services/lfs/push_service_spec.rb'
    - 'spec/services/projects/transfer_service_spec.rb'
    - 'spec/support/database/prevent_cross_joins.rb'
    - 'spec/support/helpers/cycle_analytics_helpers.rb'
    - 'spec/support/helpers/database/multiple_databases_helpers.rb'
    - 'spec/support/helpers/database/table_schema_helpers.rb'
    - 'spec/support/helpers/design_management_test_helpers.rb'
    - 'spec/support/helpers/devise_helpers.rb'
    - 'spec/support/helpers/feature_flag_helpers.rb'
    - 'spec/support/helpers/gitaly_setup.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/helpers/migrations_helpers.rb'
    - 'spec/support/helpers/notification_helpers.rb'
    - 'spec/support/helpers/query_recorder.rb'
    - 'spec/support/helpers/rack_attack_spec_helpers.rb'
    - 'spec/support/helpers/redis_commands/recorder.rb'
    - 'spec/support/helpers/redis_without_keys.rb'
    - 'spec/support/helpers/repo_helpers.rb'
    - 'spec/support/helpers/stub_feature_flags.rb'
    - 'spec/support/helpers/stub_member.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/import_export/project_tree_expectations.rb'
    - 'spec/support/shared_contexts/mailers/emails/service_desk_shared_context.rb'
    - 'spec/support/shared_examples/features/master_manages_access_requests_shared_example.rb'
    - 'spec/support/shared_examples/requests/rack_attack_shared_examples.rb'
    - 'spec/support/sidekiq_middleware.rb'
    - 'spec/support_specs/capybara_slow_finder_spec.rb'
    - 'spec/tooling/graphql/docs/renderer_spec.rb'
    - 'spec/workers/concerns/cronjob_queue_spec.rb'
    - 'spec/workers/container_expiration_policies/cleanup_container_repository_worker_spec.rb'
